Subject: Re: bug#67070: 29.1; broken keybindings with emacs 29

From: Po Lu <[email-masked]>
Date: Tue, 26 Dec 2023 09:56:12 +0800

Stefan Kangas <[email-masked]> writes:

> What's the current status here?

The difficulty in such bugs where a modifier configuration set with
xmodmap does not apply correctly to Emacs 29 arise from XKB's deficient
backwards compatibility with such configurations.  My suggestion is to
exchange the xmodmap configuration for an XKB equivalent, where the
relations between key and virtual modifier and that between virtual
modifier and modifier bit are set down in an unambiguous manner.  In
addition to that, there could also be an option to disable XKB.